Zid Docs
AppsThemesPayments
AppsThemesPayments
Help Center
Slack
  1. Webhooks
  • Overview
  • Merchant Activation
  • Payment
    • Overview
    • Embedded Payment
    • Gateway Error Codes
    • Direct Payment
      POST
    • Execute Payment Request
      POST
    • Get payment status
      GET
  • ApplePay
    • ApplePay Checkout
    • Register ApplePay Domain
      POST
    • Providing Merchant Validation
      POST
  • Refund
    • Request Refund
      POST
  • Webhooks
    • Overview
    • Link Merchant Event
      POST
    • Payment Paid Event
      POST
    • Refund Event
      POST
  1. Webhooks

Payment Paid Event

POST
https://api.zid.sa//api/webhook/v1/thirdpartywebhook
The "Payment Paid Event" is used to notify Zid Payments system of any updates regarding the status of a payment, whether it is successful or failed. This ensures that Zid Payments is informed about the payment status and can update its records accordingly.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🔴500Internal Server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zid.sa//api/webhook/v1/thirdpartywebhook' \
--header 'Authorization: Authorization: Basic secret_key' \
--header 'Content-Type: application/json' \
--data '{
    "type": "object",
    "example": {
        "type": "payment_paid",
        "thirdPartyId": 1,
        "merchantId": "45cb5978-c6cd-4e34-bd93-de6bee9b3cae",
        "data": {
            "id": "pay_abc123xyz",
            "paymentReferenceId": "123456",
            "status": "paid"
        }
    }
}'
Response Response Example
200 - Example 1
{}
Modified at 2026-01-30 20:55:20
Previous
Link Merchant Event
Next
Refund Event
Built with